> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# SERP API AI 摘要

> Live SERP API AI Summary 端点提供对任意 SERP 中所发现内容的摘要，并根据用户提示生成响应。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/serp/ai_summary
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/serp/ai_summary:
    post:
      summary: SERP API AI 摘要
      description: >-
        Live SERP API AI Summary 端点对任意 SERP
        中找到的内容进行摘要，并根据用户提示生成响应。每次请求都会向您的账户收费。
      operationId: post_dataforseo_serp_ai_summary
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                task_id:
                  type: string
                  description: 关联任务的 UUID 格式唯一标识符；可在 30 天内使用
                prompt:
                  type: string
                  description: 附加 AI 提示词；最多 2000 个字符
                support_extra:
                  type: boolean
                  description: >-
                    是否考虑额外的 SERP 特性，例如 answer_box、knowledge_graph 和
                    featured_snippet；默认为 true
                fetch_content:
                  type: boolean
                  description: 是否从 SERP 页面中获取内容；默认为 false
                include_links:
                  type: boolean
                  description: 是否在摘要中包含来源链接；默认为 false
              required:
                - task_id
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码
                  status_message:
                    type: string
                    description: 一般信息消息
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks[].id:
                    type: string
                    description: UUID 格式的任务标识符
                  tasks[].status_code:
                    type: integer
                    description: 任务状态码
                  tasks[].status_message:
                    type: string
                    description: 任务状态消息
                  tasks[].result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks[].path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks[].data:
                    type: object
                    description: 包含 POST 请求中指定的相同参数
                  tasks[].result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks[].result[].items_count:
                    type: integer
                    description: 结果数组中的项目数
                  tasks[].result[].items:
                    type: array
                    items:
                      type: string
                    description: 项目数组
                  tasks[].result[].items[].summary:
                    type: string
                    description: 生成的摘要
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````